"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var mockFactory_1 = require("../../test/mockFactory");
var funcUtils_1 = require("./funcUtils");
describe("Func Utils", function () {
    it("gets functions yml", function () {
        var sls = mockFactory_1.MockFactory.createTestServerless();
        var funcYaml = funcUtils_1.FuncPluginUtils.getFunctionsYml(sls);
        expect(funcYaml).toEqual(mockFactory_1.MockFactory.createTestFunctionsMetadata());
    });
    it("updates functions yml", function () {
        var updatedFunctions = mockFactory_1.MockFactory.createTestFunctionsMetadata(3);
        var originalSls = mockFactory_1.MockFactory.createTestServerlessYml(false, 2);
        var sls = mockFactory_1.MockFactory.createTestServerless();
        funcUtils_1.FuncPluginUtils.updateFunctionsYml(sls, updatedFunctions, originalSls);
        var calls = sls.utils.writeFileSync.mock.calls[0];
        expect(calls[0]).toBe("serverless.yml");
        var expected = mockFactory_1.MockFactory.createTestServerlessYml(true, mockFactory_1.MockFactory.createTestFunctionsMetadata(3));
        expect(calls[1]).toBe(expected);
    });
    it("adds new function name to function handler", function () {
        var name = "This is my function name";
        var handler = funcUtils_1.FuncPluginUtils.getFunctionHandler(name);
        expect(handler)
            .toContain("body: \"" + name + " \" + (req.query.name || req.body.name)");
    });
});
