import Serverless from "serverless";
import { BaseService } from "./baseService";
import { Site, FunctionEnvelope } from "@azure/arm-appservice/esm/models";
export declare class FunctionAppService extends BaseService {
    private resourceClient;
    private webClient;
    constructor(serverless: Serverless, options: Serverless.Options);
    get(): Promise<Site>;
    getMasterKey(functionApp?: Site): Promise<any>;
    deleteFunction(functionApp: Site, functionName: string): Promise<import("axios").AxiosResponse<any>>;
    syncTriggers(functionApp: Site): Promise<import("axios").AxiosResponse<any>>;
    cleanUp(functionApp: Site): Promise<any[]>;
    listFunctions(functionApp: Site): Promise<FunctionEnvelope[]>;
    getFunction(functionApp: Site, functionName: string): Promise<FunctionEnvelope>;
    uploadFunctions(functionApp: Site): Promise<any>;
    /**
     * create all necessary resources as defined in src/provider/armTemplates
     *    resource-group, storage account, app service plan, and app service at the minimum
     */
    deploy(): Promise<Site>;
    private zipDeploy;
    private getFunctionHttpTriggerConfig;
    private runKuduCommand;
    /**
     * Gets a short lived admin token used to retrieve function keys
     */
    private getAuthKey;
}
